// Learn cc.Class:
//  - https://docs.cocos.com/creator/manual/en/scripting/class.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {
        start_bgm: {
            // ATTRIBUTES:
            default: null,
            type: cc.AudioClip, // optional, default is typeof default
        },
        // bar: {
        //     get () {
        //         return this._bar;
        //     },
        //     set (value) {
        //         this._bar = value;
        //     }
        // },
    },

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start () {

        var on_off = cc.find("Canvas").getComponent("save_load_only1data").load_localdata("tsuki_music_off");

        on_off = on_off + '';
        if(on_off.indexOf('error') != -1){

            //BGMオフファイルがないのでサウンド流す
            var timeCallback = function (dt) {

                cc.log("BGMスタート");
                cc.audioEngine.play(this.start_bgm, true, 1);
            }
            this.scheduleOnce(timeCallback, 1);

            var timeCallback_2 = function (dt) {
                cc.director.loadScene("1day")
            }
            this.scheduleOnce(timeCallback_2, 3);

        }else{
            //BGMオフファイルがなるので、サウンド流さない

            var timeCallback = function (dt) {
                cc.audioEngine.playMusic(this.start_bgm, true, 0);
            }
            this.scheduleOnce(timeCallback, 1);

        }
    },

    // update (dt) {},
});
