"use strict";
cc._RF.push(module, '59a59GgfzNMs6pKCzOgxByk', 'save_load_only1data');
// Script/save_load_only1data.js

"use strict";

cc.Class({
  "extends": cc.Component,
  properties: {},
  // LIFE-CYCLE CALLBACKS:
  // onLoad () {},
  start: function start() {},
  //データーとして保存する関数
  save_file_name: function save_file_name(file_name, save_data, file_plus_name) {
    if (cc.sys.isNative) {
      // jsb.fileUtils;
      //console.log("ネイティブにアクセスできます、タッチ画像保存");
      var writablePath = jsb.fileUtils.getWritablePath(); //console.log("書き込み可能pathです: " + writablePath);
      // 保存するテキストをKey-Value形式で

      var data = {
        data1: save_data
      };

      if (jsb.fileUtils.writeToFile(data, writablePath + file_name + file_plus_name)) {
        // ファイル書き込みに成功
        //console.log("タッチファイル書き込みに成功しました");
        var string = jsb.fileUtils.getValueMapFromFile(writablePath + file_name + file_plus_name); // 保存されたテキストの表示
        //console.log(':保存された数字: ' + string.data1);

        return "ok";
      } else {
        // ファイル書き込みに失敗
        //console.log("書き込みに失敗しました");
        return "error1";
      }
    } else {
      //console.log("ネイティブにアクセスできていません");
      return "error2";
    }
  },
  save_file_name_txt: function save_file_name_txt(file_name, save_data, file_plus_name) {
    if (cc.sys.isNative) {
      // jsb.fileUtils;
      //console.log("ネイティブにアクセスできます、タッチ画像保存");
      var writablePath = jsb.fileUtils.getWritablePath(); // 　　console.log("書き込み可能pathです: " + writablePath);
      // 保存するテキストをKey-Value形式で

      var data = save_data;

      if (jsb.fileUtils.writeStringToFile(data, writablePath + file_name + file_plus_name)) {
        // ファイル書き込みに成功
        //console.log("タッチファイル書き込みに成功しました");
        var string = jsb.fileUtils.getStringFromFile(writablePath + file_name + file_plus_name); // 保存されたテキストの表示
        //console.log(':保存された数字: ' + string.data1);

        return "ok";
      } else {
        // ファイル書き込みに失敗
        //console.log("書き込みに失敗しました");
        return "error1";
      }
    } else {
      //console.log("ネイティブにアクセスできていません");
      return "error2";
    }
  },
  //保存した内容をロードする
  load_localdata: function load_localdata(file_name) {
    if (cc.sys.isNative) {
      // jsb.fileUtils;
      // //console.log("ネイティブにアクセスできます");
      var writablePath = jsb.fileUtils.getWritablePath(); // 　　//console.log("書き込み可能pathです: " + writablePath);

      if (jsb.fileUtils.isFileExist(writablePath + file_name)) {
        // ファイル書き込みに成功
        // //console.log("ファイルあります3");
        var string = jsb.fileUtils.getValueMapFromFile(writablePath + file_name);
        return string.data1;
      } else {
        // ファイル書き込みに失敗
        //console.log("ファイルないです");
        return "error1";
      }
    } else {
      //console.log("ネイティブにアクセスできていません");   
      return "error2";
    }
  },
  //テキストデータをロードするための関数
  load_localdata_txt: function load_localdata_txt(savefile_name) {
    if (cc.sys.isNative) {
      // jsb.fileUtils;
      // //console.log("ネイティブにアクセスできます");
      var writablePath = jsb.fileUtils.getWritablePath(); //console.log("書き込み可能pathです: " + writablePath);

      if (jsb.fileUtils.isFileExist(writablePath + savefile_name)) {
        // ファイル書き込みに成功
        // //console.log("ファイルあります2recover");
        var string = jsb.fileUtils.getStringFromFile(writablePath + savefile_name); // cc.log("***begin");

        for (var i in string) {
          cc.log(string[i]);
        } // cc.log("***end, length: " + string.length);


        return string[0];
      } else {
        // ファイル書き込みに失敗
        //console.log("ファイルないです");
        return -1;
      }
    } else {
      //console.log("ネイティブにアクセスできていません");   
      return -2;
    }
  },
  //該当ファイルを削除する
  remove_localdata: function remove_localdata(file_name) {
    if (cc.sys.isNative) {
      // jsb.fileUtils;
      // //console.log("ネイティブにアクセスできます");
      var writablePath = jsb.fileUtils.getWritablePath(); // 　　//console.log("書き込み可能pathです: " + writablePath);

      if (jsb.fileUtils.isFileExist(writablePath + file_name)) {
        // ファイル書き込みに成功
        // //console.log("ファイルあります3");
        var string = jsb.fileUtils.removeFile(writablePath + file_name);
        return "ok";
      } else {
        // ファイル書き込みに失敗
        //console.log("ファイルないです");
        return "error1";
      }
    } else {
      //console.log("ネイティブにアクセスできていません");   
      return "error2";
    }
  },
  //テキストデータをロードするための関数
  load_localdata_txt_all: function load_localdata_txt_all(savefile_name) {
    if (cc.sys.isNative) {
      // jsb.fileUtils;
      // //console.log("ネイティブにアクセスできます");
      var writablePath = jsb.fileUtils.getWritablePath(); //console.log("書き込み可能pathです: " + writablePath);

      if (jsb.fileUtils.isFileExist(writablePath + savefile_name)) {
        // ファイル書き込みに成功
        // //console.log("ファイルあります2recover");
        var string = jsb.fileUtils.getStringFromFile(writablePath + savefile_name); // cc.log("***begin");
        // for(var i in string){
        //     cc.log(string[i]);
        // }
        // // cc.log("***end, length: " + string.length);

        return string;
      } else {
        // ファイル書き込みに失敗
        //console.log("ファイルないです");
        return -1;
      }
    } else {
      //console.log("ネイティブにアクセスできていません");   
      return -2;
    }
  } // update (dt) {},

});

cc._RF.pop();